Bug 1128356 - Review Request: minipro - Utility for MiniPro TL866A/TL866/CS programmer
Summary: Review Request: minipro - Utility for MiniPro TL866A/TL866/CS programmer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mihkel Vain
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 11:17 UTC by Lubomir Rintel
Modified: 2014-10-01 10:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 10:13:20 UTC
mihkel.vain: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2014-08-09 11:17:09 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/minipro.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/minipro-0-1.20140624gite521a63.fc20.src.rpm

Description:

Programming utility compatible with Minipro TL866CS and Minipro TL866A
programmers. Supports more than 13000 target devices (including AVRs, PICs,
various BIOSes and EEPROMs).

Comment 1 Christopher Meng 2014-08-09 12:06:41 UTC
%config(noreplace) %{_sysconfdir}/bash_completion.d

You shouldn't set this as %config.

Comment 2 Lubomir Rintel 2014-08-09 15:21:17 UTC
(In reply to Christopher Meng from comment #1)
> %config(noreplace) %{_sysconfdir}/bash_completion.d
> 
> You shouldn't set this as %config.

But rpmlint behaves like it doesn't love me anymore then :(

SPEC: http://v3.sk/~lkundrak/SPECS/minipro.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/minipro-0-2.20140624gite521a63.fc20.src.rpm

Comment 4 Mihkel Vain 2014-09-29 09:23:36 UTC
Ok. Few comments at first:

rpmlint *.rpm
minipro.src: W: name-repeated-in-summary C MiniPro
minipro.x86_64: W: name-repeated-in-summary C MiniPro
minipro.x86_64: W: only-non-binary-in-usr-lib
minipro.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/minipro
minipro.x86_64: E: sourced-script-with-shebang /etc/bash_completion.d/minipro /bin/bash
minipro.x86_64: W: no-manual-page-for-binary minipro-query-db
minipro.x86_64: W: no-manual-page-for-binary miniprohex
minipro-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/minipro-6f36b9eff8b82d5aa89f2fb07b0940383327a896/easyconfig.c
minipro-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/minipro-6f36b9eff8b82d5aa89f2fb07b0940383327a896/easyconfig.h
3 packages and 0 specfiles checked; 3 errors, 6 warnings.

--------------------------------------------
minipro.src: W: name-repeated-in-summary C MiniPro
minipro.x86_64: W: name-repeated-in-summary C MiniPro

To me Summary looks fine. I think we can ignore those.

minipro.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/minipro
minipro.x86_64: E: sourced-script-with-shebang /etc/bash_completion.d/minipro /bin/bash

I think you should remove the shebang


minipro.x86_64: W: no-manual-page-for-binary minipro-query-db
minipro.x86_64: W: no-manual-page-for-binary miniprohex
minipro-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/minipro-6f36b9eff8b82d5aa89f2fb07b0940383327a896/easyconfig.c
minipro-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/minipro-6f36b9eff8b82d5aa89f2fb07b0940383327a896/easyconfig.h

Manual pages are a SHOULD according to this https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
But not a blocker.
Also you should notify upstream about fsf address.


So. If you remove shebang I think we are good to go.

Comment 6 Mihkel Vain 2014-09-30 17:27:15 UTC
  CHECKSUM(SHA256) this package     : 28190b0b1c5f7ffdc575ddd6736db519fd79a1f16f01412ebc8e3c2033fd6d88
  CHECKSUM(SHA256) upstream package : 28190b0b1c5f7ffdc575ddd6736db519fd79a1f16f01412ebc8e3c2033fd6d88

Checksum is good. LICENSE is included in source tarball and is acceptable for Fedora. Although rpmlint produces 5 warnings and mentions about wrong FSF address in two source files (easyconfig.c and easyconfig.h) I consider them a non-blockers, but you should notify upstream about wrong FSF address.

APPROVED

Comment 7 Lubomir Rintel 2014-10-01 08:14:17 UTC
New Package SCM Request
=======================
Package Name: minipro
Short Description: Utility for MiniPro TL866A/TL866/CS programmer
Upstream URL: https://github.com/vdudouyt/minipro
Owners: lkundrak
Branches: f20 f21 el6 epel7

Comment 8 Gwyn Ciesla 2014-10-01 09:49:42 UTC
Git done (by process-git-requests).

Comment 9 Lubomir Rintel 2014-10-01 10:13:20 UTC
Imported and built.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.